#!/bin/sh

if [ -z "$1" ]; then
	exit 1
fi

status=$(docker inspect --format="{{.State.Health.Status}}" xivo_"$1"_1 2>/dev/null)

if [ "$status" = "healthy" ]; then
    exit 0
elif [ "$status" = "unhealthy" ]; then
    exit 3
else
    exit 1
fi
