#!/bin/sh

if [ -z "$1" ]; then
	exit 1
fi

pid=$(/usr/bin/docker inspect --format {{.State.Pid}} xivo_"$1"_1 2>/dev/null)

if [ -z "$pid" ]; then
    exit 1
fi

/usr/bin/ps -o ppid -p "$pid" --no-headers > /run/xivo-docker-components-$1.pid
